zenilib: VariablePacker Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | List of all members
VariablePacker Class Reference

`#include <VariablePacker.h>`

## Public Member Functions

bool | CheckVariablesWithinPackingLimits (int maxVectors, const TVariableInfoList &in_variables)

## Static Public Member Functions

static int | GetNumComponentsPerRow (ShDataType type)
static int | GetNumRows (ShDataType type)

## Detailed Description

Definition at line 13 of file VariablePacker.h.

## Member Function Documentation

bool VariablePacker::CheckVariablesWithinPackingLimits | ( | int | maxVectors,
|  | const TVariableInfoList & | in_variables
| ) |  |

Definition at line 192 of file VariablePacker.cpp.

References ASSERT, GetNumComponentsPerRow(), GetNumRows(), TVariableInfo::size, and TVariableInfo::type.

Referenced by TCompiler::enforcePackingRestrictions().

int VariablePacker::GetNumComponentsPerRow | ( | ShDataType | type | ) |

static

Definition at line 48 of file VariablePacker.cpp.

References ASSERT, SH_BOOL, SH_BOOL_VEC2, SH_BOOL_VEC3, SH_BOOL_VEC4, SH_FLOAT, SH_FLOAT_MAT2, SH_FLOAT_MAT3, SH_FLOAT_MAT4, SH_FLOAT_VEC2, SH_FLOAT_VEC3, SH_FLOAT_VEC4, SH_INT, SH_INT_VEC2, SH_INT_VEC3, SH_INT_VEC4, SH_SAMPLER_2D, SH_SAMPLER_2D_RECT_ARB, SH_SAMPLER_CUBE, and SH_SAMPLER_EXTERNAL_OES.

Referenced by CheckVariablesWithinPackingLimits().

int VariablePacker::GetNumRows | ( | ShDataType | type | ) |

static

Definition at line 80 of file VariablePacker.cpp.

References ASSERT, SH_BOOL, SH_BOOL_VEC2, SH_BOOL_VEC3, SH_BOOL_VEC4, SH_FLOAT, SH_FLOAT_MAT2, SH_FLOAT_MAT3, SH_FLOAT_MAT4, SH_FLOAT_VEC2, SH_FLOAT_VEC3, SH_FLOAT_VEC4, SH_INT, SH_INT_VEC2, SH_INT_VEC3, SH_INT_VEC4, SH_SAMPLER_2D, SH_SAMPLER_2D_RECT_ARB, SH_SAMPLER_CUBE, and SH_SAMPLER_EXTERNAL_OES.

Referenced by CheckVariablesWithinPackingLimits().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/VariablePacker.h
- zenilib/jni/external/angle/src/compiler/VariablePacker.cpp